Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.4.0

Bug #2843 'ftp' PHP extension is not installed
Submitted: 2004-11-28 06:11 UTC
From: nembriz at gmail dot com Assigned: toby
Status: Closed Package: Net_FTP
PHP Version: 4.3.9 OS: FreeBSD 5.3-STABLE i386
Roadmaps: (Not assigned)    
Subscription  


 [2004-11-28 06:11 UTC] nembriz at gmail dot com
Description: ------------ when trying to install Net_FTP using this: pear install Net_FTP I get this message: 'ftp' PHP extension is not installed Net_FTP: Dependencies failed Php is compiled with ftp support, output of: php -i | grep -C 2 ftp is: Debug Build => no Thread Safety => disabled Registered PHP Streams => php, http, ftp, compress.zlib, compress.bzip2 -- dio support => enabled ftp FTP support => enabled pkg_info | grep pear php4-pear-4.3.9 PEAR framework for PHP Reproduce code: --------------- # pear install Net_Ftp Expected result: ---------------- # pear install -n Net_Ftp downloading Net_FTP-1.3.0RC1.tar ... Starting to download Net_FTP-1.3.0RC1.tar (-1 bytes) .....................done: 88,576 bytes install ok: Net_FTP 1.3.0RC1 Actual result: -------------- # pear install Net_Ftp downloading Net_FTP-1.3.0RC1.tar ... Starting to download Net_FTP-1.3.0RC1.tar (-1 bytes) .....................done: 88,576 bytes 'ftp' PHP extension is not installed Net_FTP: Dependencies failed

Comments

 [2005-01-04 16:43 UTC] toby
This looks like an installer bug. I'll forward the bug email to pear-core. Please open another bug report for the installer for this, if it still does not work. Thanks!